package com.aliyun.tablestore.example.grid.common;

import ucar.ma2.DataType;


public class ExampleConfig {

    /**
     * 表名和index名
     */
    public static String GRID_DATA_TABLE_NAME = "GRID_DATA_TABLE_EXAMPLE1";
    public static String GRID_META_TABLE_NAME = "GRID_META_TABLE_EXAMPLE1";
    public static String GRID_META_INDEX_NAME = "GRID_META_INDEX";


    /**
     * 数据属性：ID、本地数据文件名、目标变量名、变量维度大小、变量类型
     */
    public static String EXAMPLE_GRID_DATA_SET_ID = "test_echam_spectral_example";
    public static String EXAMPLE_GRID_DATA_SET_NC_FILE_PATH = "test_echam_spectral.nc";
    public static String EXAMPLE_GRID_DATA_VARIABLE = "tpot";
    public static int[] EXAMPLE_GRID_DATA_SHAPE = new int[]{8, 47, 96, 192};
    public static DataType EXAMPLE_GRID_DATA_TYPE = DataType.FLOAT;
}
